commit:     0606fb45e501d39c198ba40238525946ac220219
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 14 16:57:47 2025 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Dec 14 17:24:55 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0606fb45

dev-db/timescaledb: bump to 2.24.0

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-db/timescaledb/Manifest                  |  1 +
 dev-db/timescaledb/timescaledb-2.24.0.ebuild | 65 ++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-db/timescaledb/Manifest b/dev-db/timescaledb/Manifest
index bb1e5c4c10e3..0303b3152654 100644
--- a/dev-db/timescaledb/Manifest
+++ b/dev-db/timescaledb/Manifest
@@ -1,3 +1,4 @@
 DIST timescaledb-2.21.4.tar.gz 7913696 BLAKE2B 
cf2af165d4d76812cd27ee38565328c772bb83d90a923a7c29ae1ad02b40bdb9b467a3fe180a43074d52d94827d73289b7be6a77f2ef34278d8d5f10d6402484
 SHA512 
3741f068739482f5d3b76732401cd989b8081ecc9fd93034e8c33f34576dd10497bedd6688ab35f693c914c0b4bacb73c7430ab355a9f68be32239e31c575261
 DIST timescaledb-2.22.1.tar.gz 8149506 BLAKE2B 
2881795480f181126db5547dfcff2e34acf6d5e74ad4e1b72e9f5830e0b3fa54ffc9655ffed207d15b12ee6ad3155e164a3322257cf04f0235ff1eda31e89356
 SHA512 
5cd2938d2d04b7e1daa27ee46fddc09b9342022f536841ead1560ce4c6264dc0e83a737d87ed4cb903008c2c96a65273da25861a49c7f0c7a0a2685bbaec07ee
 DIST timescaledb-2.23.1.tar.gz 8276671 BLAKE2B 
bc94d9e4b459c7c6903cd58b532d5e7242095b2f9fe0a3a824b26580d65e23b7f67b5eacf2516fc30101cb27a9f08ad4a909ffef0e90cc56a20e7adf8cb7996e
 SHA512 
120efa5b859cd27f0f671261335372f7ebda30c1a7e66be9f7ebb0aa86c13b3acda45fa25c7e0744ffb54f9f225db2e7c4959db54f42df3c21b399219542b46b
+DIST timescaledb-2.24.0.tar.gz 8324256 BLAKE2B 
382552cf26986bea7eb3ace7dfa772c69cff2822c694fc441dbcf545ad0751a8c133810823aff25a0444628a4c089ccada4c8ef9cc8be8f9da7e9adcec678037
 SHA512 
d3f5bad924c7f7a244242afa866994e75627534d1a2b3e076c88ad06dba8a09d79479fbb77f4b84543ec3a201b009a7bdcff8b80a05672d4b8bebf8a6822d241

diff --git a/dev-db/timescaledb/timescaledb-2.24.0.ebuild 
b/dev-db/timescaledb/timescaledb-2.24.0.ebuild
new file mode 100644
index 000000000000..6add96990b56
--- /dev/null
+++ b/dev-db/timescaledb/timescaledb-2.24.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+POSTGRES_COMPAT=( 15 16 17 18 )
+POSTGRES_USEDEP="ssl"
+
+inherit postgres-multi cmake
+
+DESCRIPTION="Open-source time-series SQL database"
+HOMEPAGE="https://www.timescale.com/";
+SRC_URI="https://github.com/timescale/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="POSTGRESQL Apache-2.0 proprietary-extensions? ( timescale )"
+SLOT=0
+KEYWORDS="~amd64"
+IUSE="proprietary-extensions"
+
+RESTRICT="test"
+
+DEPEND="${POSTGRES_DEP}"
+RDEPEND="${DEPEND}"
+
+CMAKE_IN_SOURCE_BUILD=yes
+CMAKE_BUILD_TYPE="RelWithDebInfo"
+BUILD_DIR=${WORKDIR}/${P}
+
+src_prepare() {
+       postgres-multi_src_prepare
+       postgres-multi_foreach cmake_src_prepare
+}
+
+timescale_configure() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       local mycmakeargs=( 
"-DPG_CONFIG=/usr/bin/pg_config${MULTIBUILD_VARIANT}" "-DREGRESS_CHECKS=OFF" )
+
+       # licensing is tied to features, this useflag disables the non-apache2 
licensed bits
+       if ! use proprietary-extensions ; then
+               mycmakeargs+=("-DAPACHE_ONLY=ON")
+       fi
+       cmake_src_configure
+}
+
+src_configure() {
+       postgres-multi_foreach timescale_configure
+}
+
+timescale_src_compile() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       cmake_src_compile
+}
+
+src_compile() {
+       postgres-multi_foreach timescale_src_compile
+}
+
+timescale_src_install() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       cmake_src_install
+}
+
+src_install() {
+       postgres-multi_foreach timescale_src_install
+}

Reply via email to